package test.cases.business;

import model.business.Customer;

public class CustomerTest {

	//=======================================
	//Smoke Tests - Construction

	/** Conduct a smoke test for the construction of
	 * a Customer with no args
	 */
	public void test_newInstance() {
		prn("\n-- test_newInstance --");
		Customer cust = Customer.newInstance();
		prn(cust.toString());
	}

	/** Conduct a smoke test for the construction of
	 * a Customer with passed name and phone
	 */
	public void test_fromFirstLastPhone() {
		prn("\n-- test_fromFirstLastPhone --");
		Customer cust =
			Customer.fromFirstLastPhone("Asha", "Gupta", "1112223333");
		prn(cust.toString());
	}

	//=======================================
	//Helpers

	public void prn(Object o) {
		System.out.println(o);
	}

	//=======================================
	//Main

	public static void main(String[] args) {
		CustomerTest test = new CustomerTest();
		test.test_newInstance();
		test.test_fromFirstLastPhone();
	}

}